SolrQuery::removeField
SolrQuery::removeHighlightField
SolrQuery
PHP Manual

# SolrQuery::removeFilterQuery

(PECL solr >= 0.9.2)

SolrQuery::removeFilterQuery — Removes a filter query

### Description

public SolrQuery SolrQuery::removeFilterQuery ( string `$fq` )

Removes a filter query.

### Parameters

`fq`

  The filter query to remove

### Return Values

Returns the current SolrQuery object, if the return value is used.

SolrQuery::removeField
SolrQuery::removeHighlightField
SolrQuery
PHP Manual